# Get remaining users

This API operation will return the remaining user IDs able to approve for the currently open step of the intent approval process.

Endpoint: GET /v1/domains/{domainId}/intents/{intentId}/remaining-users
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `intentId` (string, required)

## Query parameters:

  - `users.lock` (array)
    Return only users with given lockstatuses.

## Response 200 fields (application/json):

  - `domainId` (string, required)

  - `users` (array, required)

## Response 400:

  - `400` (unknown)
    Intent is not opened (IntentNotOpenedError)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

